#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, m, d, u, i, j, br=0, l, r, x;
    scanf("%d %d", &n, &m);
    int di[n];
    int ui[n];
    int re[m];
    for(i=0; i<n; i++)
    {
        scanf("%d %d", &di[i], &ui[i]);
    }
    for(i=0; i<m; i++)
    {
        scanf("%d %d %d", &l, &r, &x);
        br=0;
        for(j=l-1; j<r;j++)
        {
            if(x>=di[j] && x<=ui[j])
            {
                br++;
            }
        }
        re[i] = br;
    }
    for(i=0; i<m; i++)
    {
        printf("%d\n", re[i]);
    }
}